Subject: Re: Problems under domain account on Win2k RE: Problems with zsh 3.1.9 and cygwin
From: Tomislav Goles <[email-masked]>
To: "Andrej Borsenkow" <[email-masked]>
Cc: "Mike Boilen" <[email-masked]>, "ZSH workers mailing list" <[email-masked]>, <[email-masked]>
Date: 25 Jul 2000 14:35:30 -0400

/ "Andrej Borsenkow" <[email-masked]> wrote:
> >
> > > >
> > > >       0 [main] zsh 18877 handle_exceptions: Exception:
> > > > STATUS_ACCESS_VIOLATION
> > > >     913 [main] zsh 18877 stackdump: Dumping stack trace to
> > > > zsh.exe.stackdump
> > > >
> > > > and the following stackdump:
> > >
> > > I understand, that it is of little help, but I can build and
> > > run current
> > > Zsh code (I do not remember, if I tried stock 3.1.9 - but it is very
> > > probable) in exactly the above configuration.
> >
> > Sorry, I was wrong. It appeared, that I had outdated Cygwin already (I
> > have not seen any announcements so assumed there was nothing new).
> > Obviously, binutils have changed, so I get now exactly the same crash.
> > Damn ... I just downloaded Cygwin, downloaded updated ld.exe
> > but no way.
> >
> 
> This particular problem was due to tgetent() problem. Zsh tests, if
> tgetent() accepts null pointer for buffer. Unfortunately, test always
> succeeded, but running under gdb showed, that Zsh crashed in
> tgetent(0,"cygwin").
> 
> But really weird was when I recompiled Zsh without TGETENT_ACCEPTS_NULL.
> Now, Zsh correctly starts under local account but crashes under domain
> account!!!
> 
> The problem is, that, as was already mentioned on cygwin list, gdb also
> does not work under domain account. That means, that
> 
> - either I have working gdb and zsh and nothing to debug
> - or both do not work and I have no way to debug
> 
> Usage of printf would be nice IF I had the slightest idea where it
> crashes.
> 
> I'm running under Win2k professional with 128 bit security (hmm, may
> this be a problem?). It is a member of NT4 domain; domain controller is
> NT4SP6a.
> 

I have been fighting with the same zsh error message since yesterday
(I yesterday installed cygwin on my W2K laptop so my guess is I have
up to date and clean installation since this was my first cygwin 
install on that machine).
My solution to the zsh problem was to install ncurses 5.1 and then
build zsh by making it link against libncurses library intstead 
of libtermcap. To do this I changed the order in zsh configure script
- search for ncurses in that script and move ncurses to first position
in the list "termcap curses ncurses". Then run configure and build.
After this zsh 3.0.8 seems to run fine. I don't have any idea whether
this has anything to do with the domain issue you are talking about
but figured it can't hurt to mention this.
Regards,
Tomislav

--
Want to unsubscribe from this list?
Send a message to [email-masked]